package org.example.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.example.entity.Hospital;

/**
 * 医院概况Mapper接口
 */
@Mapper
public interface HospitalMapper {
    
    /**
     * 获取医院信息（只有一条记录）
     */
    Hospital getHospital();
    
    /**
     * 新增医院信息
     */
    int insert(Hospital hospital);
    
    /**
     * 更新医院信息
     */
    int update(@Param("hospital") Hospital hospital, @Param("oldName") String oldName);
}
